#include <stdio.h>
#if 0
#include "config.h"
#else
#define PACKAGE				"sample1"
#define LOCALEDIR			""
#define ENABLE_NLS			1
#define HAVE_TINY_GETTEXT	1
#endif
#include "intl.h"


static int   usage(void);
static void  oneFile(const char* fname);


int main(int argc, char* argv[])
{
	int   i;

	setlocale(LC_ALL, "");
	bindtextdomain (PACKAGE, LOCALEDIR);
	textdomain(PACKAGE);
	
	if (argc < 2)
		return usage();

	for (i = 1; i < argc; ++i) {
		char* p = argv[i];
		if (*p == '-') {
			switch(*p) {
			case 'h':
				return usage();
			default:
				fprintf(stderr, _("unkown option %s\n"), argv[i] );
			}
		}
	}

	for (i = 1; i < argc; ++i) {
		char* fname = argv[i];
		if (fname[0] == '-')
			continue;
		oneFile(fname);
	}

	return 0;
}



static void  oneFile(const char* fname)
{
	char  buf[ 0x10000 ];
	int   l  = 0;
	FILE* fp = fopen(fname, "rt");
	if (fp == NULL) {
		fprintf(stderr, _("%s : file not open.\n"), fname );
		return;
	}
	while (fgets(buf, sizeof buf, fp) != NULL) {
		++l;
		printf("%6d : %s", l, buf);
	}
	if (ferror(fp)) {
		fprintf(stderr, _("%s (%d) : read error\n"), fname, l);
	}
	fclose(fp);
}



static int usage(void)
{
	fprintf(stderr, _("usage> sample1 [-opts] file(s)...\n"
			 		  " -h    help\n"
			 		  "\n"
			 		 )
	);
	return 1;
}
