/**
 *	@file	tiny_gettext.h
 *	@brief	a substitute of gettext.
 *	@author tenk* (Masashi Kitamura)
 *	@note
 *		Public Domain Software
 */
#ifndef TINY_GETTEXT_H
#define TINY_GETTEXT_H

#ifdef __cplusplus
extern "C" {
#endif

#if 1 /* def HAVE_TINY_GETEXT_H */
const char *	gettext(const char *  msgId);
const char *	ngettext(const char *  msg1, const char * msg2, int n);
const char * 	textdomain(const char *domainName);
#else
#define	gettext(x)						(x)
#define	ngettext(s1,s2,n)				(((n) == 1) ? (s1) : (s2))
#define textdomain(x)					(x)
#endif

#define gettext_noop(x)					(x)
#define bindtextdomain(d,dir)			("")
#define bind_textdomain_codeset(d,c)	(d)

#define dgettext(d,s)					gettext(s)
#define dcgettext(d,s,c)				gettext(s)
#define dngettext(d,s1,s2,f)			ngettext(s1,s2,f)
#define dcngettext(d,s1,s2,f,c)			ngettext(s1,s2,f)


#define _(x)							gettext(x)
#define N_(x)							gettext_noop(x)


#ifdef __cplusplus
}
#endif

#endif	/* TINY_GETTEXT_H */
